Package org.pushingpixels.substance.api

# Enum Class SubstanceConstants.TabContentPaneBorderKind

java.lang.Object
java.lang.Enum<SubstanceConstants.TabContentPaneBorderKind>
org.pushingpixels.substance.api.SubstanceConstants.TabContentPaneBorderKind

All Implemented Interfaces:
  `Serializable`, `Comparable<SubstanceConstants.TabContentPaneBorderKind>`, `Constable`

Enclosing class:
  `SubstanceConstants`

public static enum SubstanceConstants.TabContentPaneBorderKind extends Enum<SubstanceConstants.TabContentPaneBorderKind>
Tab content pane border kind.

Since:
  version 4.1

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DOUBLE_FULL`
The content pane has full border on all sides plus an additional line along the tab placement side (as in Firefox 2.0, Internet Explorer 7.0 and Nimbus).
`DOUBLE_PLACEMENT`
The content pane has double border along the tab placement side.
`SINGLE_FULL`
The content pane has full single border on all sides.
`SINGLE_PLACEMENT`
The content pane has single border along the tab placement side.

## Method Summary

Modifier and Type
Method
Description
`static SubstanceConstants.TabContentPaneBorderKind`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SubstanceConstants.TabContentPaneBorderKind[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DOUBLE_FULL

public static final SubstanceConstants.TabContentPaneBorderKind DOUBLE_FULL
The content pane has full border on all sides plus an additional line along the tab placement side (as in Firefox 2.0, Internet Explorer 7.0 and Nimbus). This is the default kind starting from version 4.1.

### SINGLE_FULL

public static final SubstanceConstants.TabContentPaneBorderKind SINGLE_FULL
The content pane has full single border on all sides. This has been the default kind prior to version 4.1.

### DOUBLE_PLACEMENT

public static final SubstanceConstants.TabContentPaneBorderKind DOUBLE_PLACEMENT
The content pane has double border along the tab placement side.

### SINGLE_PLACEMENT

public static final SubstanceConstants.TabContentPaneBorderKind SINGLE_PLACEMENT
The content pane has single border along the tab placement side.

## Method Details

### values

public static SubstanceConstants.TabContentPaneBorderKind[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SubstanceConstants.TabContentPaneBorderKind valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null